<?xml version="1.0" encoding="UTF-8"?>
<?xml-stylesheet href="chrome://undoclosedtabsbutton/skin/overlay.css" type="text/css"?>

<!DOCTYPE overlay SYSTEM "chrome://undoclosedtabsbutton/locale/prefwindow.dtd">

<overlay id="undoclosedtabsbutton-overlay"
         xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul">

  <stringbundleset id="stringbundleset">
    <stringbundle
        id="bundle_undoclosedtabsbutton"
        src="chrome://undoclosedtabsbutton/locale/undoclosedtabsbutton.properties" />
  </stringbundleset>

  <script type="application/x-javascript"
          src="chrome://undoclosedtabsbutton/content/undo.js" />

  <toolbarpalette id="BrowserToolbarPalette">
  <toolbarbutton id="undoclosedtabsbutton-toolbar-button"
    type="menu-button"
    label="&undoclosedtabsbuttonToolbar.label;"
    tooltiptext="&undoclosedtabsbuttonToolbar.label;"
    oncommand="undoCloseTab();"
    context=""
    onclick="undoClosedButt.rightClickMenu(this, event);"
    class="toolbarbutton-1 chromeclass-toolbar-additional">
        <menupopup
          id="undoclosedtabsbutton-menu"
		  placespopup="true"
          oncommand="event.stopPropagation();"
          onpopupshowing="undoClosedButt.populateUndoSubmenu(this);" />
  </toolbarbutton>
  </toolbarpalette>

  <popup id="contentAreaContextMenu">
    <menuitem id="uctb-contextentry" insertafter="context-stop" label="&undolastclosedtab.label;" oncommand="undoCloseTab();"/>
    <menuseparator id="uctb-separator" insertafter="context-stop"/>
  </popup>

</overlay>